Show Information Notices
IPS (Info Push System) is a system for VRChat to push out dynamic information to the client. This is primarily used by the Quick-Menu info banners, but can also be used to e.g. alert you to update your game to the latest version.
include is used to query what Information Pushes should be included in the response. If include is missing or empty, then no notices will normally be returned. This is an "any of" search.
require is used to limit what Information Pushes should be included in the response. This is usually used in combination with include, and is an "all of" search.
Authorization
authCookie Auth Token via Cookie
In: cookie
Query Parameters
Tags to include (comma-separated). All of the tags needs to be present.
1 <= lengthTags to include (comma-separated). Any of the tags needs to be present.
1 <= lengthResponse Body
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/infoPush"[
{
"id": "build-config",
"createdAt": "2021-08-21T04:27:05+00:00",
"data": {
"version": "2021.3.4"
},
"hash": "a76e7da333c6a5a8f7ec2adee064cac9",
"isEnabled": true,
"priority": 1000,
"releaseStatus": "public",
"tags": [
"high-priority",
"user-all"
],
"updatedAt": "2021-09-18T04:37:29+00:00"
}
]{
"error": {
"message": "imageUrl must be a URL˸ 'string'‚ assetUrl must be a URL˸ 'string'",
"status_code": 400
}
}